## org.eclipse.jet.compiler
Class XMLEmptyElement

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.XMLElement
              org.eclipse.jet.compiler.XMLEmptyElement

Deprecated. Since 0.8.0, use `XMLEmptyElement`

    public final class XMLEmptyElement

extends XMLElement

Define an empty XML element in the JET2 AST.

Constructor Summary
`XMLEmptyElement(org.eclipse.jet.compiler.JET2AST jet2ast, XMLEmptyElement element)` Deprecated.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Deprecated. Visit the AST and its contained elements.
`java.lang.String` `toString()` Deprecated.

Methods inherited from class org.eclipse.jet.compiler.XMLElement
`getAttributes, getDelegate, getName, getNSPrefix, getTagDefinition, getTagNCName`

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLEmptyElement

    public XMLEmptyElement(org.eclipse.jet.compiler.JET2AST jet2ast,
                           XMLEmptyElement element)

  Deprecated.

Method Detail

### accept

    public void accept(JET2ASTVisitor visitor)

  Deprecated.
  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.